% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/to_flowCore.R
\name{as_flowSet}
\alias{as_flowSet}
\alias{as_flowSet.tof_tbl}
\title{Coerce an object into a \code{\link[flowCore]{flowSet}}}
\usage{
as_flowSet(x, ...)

\method{as_flowSet}{tof_tbl}(x, group_cols, ...)
}
\arguments{
\item{x}{A tof_tbl.}

\item{...}{Unused.}

\item{group_cols}{Unquoted names of the columns in `x` that should
be used to group cells into separate \code{\link[flowCore]{flowFrame}}s.
Supports tidyselect helpers. Defaults to
NULL (all cells are written into a single \code{\link[flowCore]{flowFrame}}).
Note that the metadata column name "name" is a special value in the
\code{\link[flowCore]{flowSet}}) class, so if any of `group_cols` refers to
a column named "name," an error will be thrown.}
}
\value{
A \code{\link[flowCore]{flowSet}}

A \code{\link[flowCore]{flowSet}} in which cells are grouped into
constituent \code{\link[flowCore]{flowFrame}}s based on the values in
`group_cols`. If no `group_cols` are specified, a
\code{\link[flowCore]{flowFrame}} will be returned instead.
Note that all non-numeric columns in will be removed.
}
\description{
Coerce an object into a \code{\link[flowCore]{flowSet}}

Coerce a tof_tbl into a \code{\link[flowCore]{flowSet}}
}
\examples{
NULL

NULL
}
